{{page-title (capitalize (t "articles"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{capitalize (t "articles")}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      <div>
        <LinkTo @route="manage.articles.add" @query={{hash teamId=@model.team.id}} class="btn btn-add-article">
          <FaIcon @icon="plus" />
          {{capitalize (t "article")}}
        </LinkTo>


        {{#if @model.team.categories}}
          <div class="sep"></div>

          {{#each @model.team.categories as |category|}}
            <LinkTo @route="manage.articles.add" @query={{hash teamId=@model.team.id category=category}}
              class="btn btn-add-team-category-article">
              <FaIcon @icon="plus" />
              {{category}}
            </LinkTo>
          {{/each}}
        {{/if}}

        {{#if this.category}}
          <div class="sep"></div>
          <LinkTo @route="manage.articles.add" @query={{hash teamId=@model.team.id category=this.addCategory}}
            class="btn btn-add-category-article">
            <FaIcon @icon="plus" />
            {{this.category}}
          </LinkTo>
        {{/if}}
      </div>
      <div class="clearfix"></div>
    </:extra>

    <:content>
      {{#if @model.team.categories}}
        <div class="team-categories" ...attributes>
          <h4 class="mb-3 ms-2">
            {{t "_dashboard.team-categories"}}
          </h4>

          <div class="manage-container-toolbar shadow">
            <button class="btn btn-group-name {{if (eq this.teamCategory "") "btn-selected"}}" type="button" {{on "click" (fn this.selectTeamCategory "")}}>
              {{t "all"}}
            </button>

            <div class="sep"></div>
            {{#each @model.team.categories as |category|}}
              <button class="btn btn-group-name {{if (eq this.teamCategory category) "btn-selected"}}" type="button" {{on "click" (fn this.selectTeamCategory category)}}>
                {{category}}
              </button>
            {{/each}}
          </div>
        </div>
      {{/if}}

      {{#if this.hasCategories}}
        <div class="article-categories" ...attributes>
          <h4 class="mb-3 ms-2">
            {{t "_dashboard.categories"}}
          </h4>

          <div class="manage-container-toolbar shadow">
            <button class="btn btn-group-name {{if (eq this.category "") "btn-selected"}}" type="button" {{on "click" (fn this.selectCategory "")}}>
              {{t "all"}}
            </button>

            <div class="sep"></div>
            {{#each @model.categoryList as |category|}}
              <button class="btn btn-group-name {{if (eq this.category category) "btn-selected"}}" type="button" {{on "click" (fn this.selectCategory category)}}>
                {{category}}
              </button>
            {{/each}}
          </div>
        </div>
      {{/if}}

      <div class="row mt-3">
        <div class="col">
          <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 mb-5">
            <Manage::SelectableList @query={{this.query}} @value={{@model.articles}} @reload={{@model.reload}} as
              |article selection onSelect|>
              <div class="col">
                <Manage::CardArticle class="newsletter-article-card" @selection={{selection}} @onSelect={{onSelect}}
                  @article={{article}} @deleteRecord={{this.deleteRecord}}
                  @onClick={{fn this.browseArticle article.id}} />
              </div>
            </Manage::SelectableList>
          </div>
        </div>
      </div>
    </:content>
  </Manage::Container>
{{/if}}